﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        .bt
        {
            height: 18px;
            height: 150;
            font-size: 10px;
            font-family: Verdana;
        }
    </style>

    <script type="text/javascript">
        var currentShapeType = '';
        var changeType = function(shapeType) {
            var hiddenInput = $get('iptShapeType');
            hiddenInput.value += shapeType + ',';
            currentShapeType = shapeType;
            Map1.SetDrawMode(shapeType);
            return false;
        }

        var map1ClientDrawEnd = function(feature) {
            var guid = generateGuid();
            feature.fid = currentShapeType + '-' + guid;
        }

        var map1ClientEditEnd = function(feature) {
            alert(feature.fid);
        }

        var generateGuid = function() {
            var guid = '';
            for (var i = 0; i < 4; i++) {
                guid += (Math.random() * 0X100000).toString(16).substring(0, 4);
                if (i != 3) {
                    guid += '-';
                }
            }

            return guid;
        }
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <div>
        <input type="hidden" name="iptShapeType" id="iptShapeType" />
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <cc1:Map ID="Map1" runat="server" Height="480px" Width="640px">
        </cc1:Map>
        <input type="button" value="Draw Rectangle" class="bt" onclick="changeType('Rectangle');" />
        <input type="button" value="Draw Square" class="bt" onclick="changeType('Square');" />
        <input type="button" value="Draw Circle" class="bt" onclick="changeType('Circle');" />
        <input type="button" value="Draw Ellipse" class="bt" onclick="changeType('Ellipse');" />
        <input type="button" value="Edit" class="bt" onclick="changeType('Modify');" />
        <asp:Button runat="server" Text="Submit" CssClass="bt" OnClick="ShapeSubmit" />
    </div>
    </form>
</body>
</html>
